Skip to content

Create a new SSO client

POST
/api/v1/sso/organizations/{organization_id}/realms/{realm_id}/clients/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/sso/organizations/{organization_id}/realms/{realm_id}/clients/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "idp-482005"
}'

Creates a new SSO Client inside the specified Realm for an Organization. The client represents a service that will communicate with the SSO Realm.

organization_id
required
string format: uuid

Example

019a7752-8aaa-7042-9c3e-bcbbe47f5e67

Unique identifier of the organization.

realm_id
required
string

Example

019a7847-2073-73a5-8144-d29e318ae4a2

Unique identifier of the Realm

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
name

Name of the SSO Client

string

Example

idp-482005

SSO Client created successfully

Media typeapplication/json
object
code
integer
data
object
client_id
string
id
string
name
string
root_url
string
redirect_uris
Array<string>
capabilities
object
client_settings
object
signature_settings
object
status
string
created_at
string format: date-time
updated_at
string format: date-time
errors
object
message
string

Example

{
"code": 201,
"data": {
"client_id": "https://myaccount.e2enetworks.net/api/v1/sso/organizations/019a7847-1ff1-7627-858c-c9de3fa3ff2c/realms/019a7847-2073-73a5-8144-d29e318ae4a2/sp_metadata",
"id": "019a784f-6541-7eb7-bdf7-807c72d59f78",
"name": "idp-482005",
"root_url": "https://myaccount.e2enetworks.net/publicapi/v1/sso/organizations/019a7847-1ff1-7627-858c-c9de3fa3ff2c/acs/",
"redirect_uris": [
"https://myaccountt.e2enetworks.net/publicapi/v1/sso/organizations/019a7847-1ff1-7627-858c-c9de3fa3ff2c/acs/"
],
"capabilities": {},
"client_settings": {},
"signature_settings": {},
"status": "ACTIVE",
"created_at": "2025-11-12T13:44:20.546060Z",
"updated_at": "2025-11-12T13:44:22.089926Z"
},
"errors": {},
"message": "Client created successfully"
}